<template>
  <div>
    <rui-loading v-if="loading" fill />

    <rui-alert v-else-if="loadError" variant="danger">{{ $t('js.generic.load_error') }}</rui-alert>

    <div v-else>
      <rui-tabs>
        <rui-button to="/">{{ $t('js.admin.import.families') }}</rui-button>
        <rui-button :to="{name: 'genera'}">{{ $t('js.admin.import.genera') }}</rui-button>
        <rui-button :to="{name: 'resources'}">{{ $t('js.admin.import.resources') }}</rui-button>
        <rui-button :to="{name: 'resource_interactions_groups'}">{{ $t('js.admin.import.resources_interaction_groups') }}</rui-button>
        <rui-button :to="{name: 'resource_interactions'}">{{ $t('js.admin.import.resources_interactions') }}</rui-button>
      </rui-tabs>

      <router-view />
    </div>
  </div>
</template>

<script>
import RuiAlert from '@experiments-labs/rise_ui/src/components/Alert/Alert.vue'
import RuiButton from '@experiments-labs/rise_ui/src/components/Button/Button.vue'
import RuiLoading from '@experiments-labs/rise_ui/src/components/Loading/Loading.vue'
import RuiTabs from '@experiments-labs/rise_ui/src/components/Tabs/Tabs.vue'

export default {
  name: 'AdminLibrarySyncApplication',
  components: { RuiAlert, RuiLoading, RuiTabs, RuiButton },
  data () {
    return {
      loading: false,
      loadError: false,
    }
  },
  created () {
    this.loading = true
    Promise.all([
      this.$store.dispatch('loadDataDifferences'),
      this.$store.dispatch('loadNames'),
    ])
      .catch(() => { this.loadError = true })
      .then(() => { this.loading = false })
  },
}
</script>
